from dev_tools.build.licensing.common import Dependency
from dev_tools.build.licensing.resources import licensing_resource_path


def get_extra_python_dependencies():
    return [
        # this is the primary runtime
        Dependency(
            "cpython",
            "PSF",
            licensing_resource_path("cpython_license").read_text(encoding="utf-8"),
            None,
            None,
            "https://www.python.org/",
        ),
        # this creates the executable
        Dependency(
            "cx_Freeze",
            "PSF",  # PSF-derived, custom, but the details are not significant now
            licensing_resource_path("cxfreeze_license").read_text(encoding="utf-8"),
            None,
            None,
            "https://marcelotduarte.github.io/cx_Freeze/",
        ),
        # this is a build dependency of gcld3
        Dependency(
            "protobuf",
            "BSD-3-Clause",
            licensing_resource_path("protobuf_license").read_text(encoding="utf-8"),
            None,
            None,
            "https://developers.google.com/protocol-buffers/",
        ),
    ]
